#!/usr/bin/env perl
# cdg/grammar/negra/auto2silver.pl
#
# Post-process automatic annotations: insert auxiliary levels and
# morphologic info
use warnings;
use strict;
use lib "$ENV{CDGHOME}/bindings";
use lib "$ENV{CDGHOME}/bindings/.libs";
use CDG;


if(@ARGV != 2) {
  die "Usage: $0 <from> <to>\n";
}

my $from = shift;
my $to = shift;

commandEval 'load negra.cdg';
for my $x ($from..$to) {
  commandEval "anno2parse auto-s$x";
  commandEval "frobbing parse=auto-s$x method=manual execute=_,*,zsilver-s$x,q";
}
commandEval 'quit';

system 'cat silver-s*cda >> negra.cdg';
