#!/bin/bash
# cdg/grammar/negra/test-transform-sentence.pl

n=$1
rm -f s$n-stage*

HILITE=`which hilite`

$HILITE ../../utils/treebank2cdg.pl -range $n -max 1 -debug \
 -annos s$n-annos.cdg \
 -prefix 's' \
 -annoprefix 'auto-s' \
 -format 'negra' \
 -extralevels REF \
 -plugin negraplugin.pl \
 /data/corpus/negra/2.0-nats/negra-corpus.export

# unmatched globs should reduce to ""
shopt -s nullglob
for x in s$n-stage*export; do
  ../../utils/negra2png.pl < $x > ${x%%export}png
  rm $x
done
for x in s$n-stage*cda; do
  ../../utils/cdg2png.pl < $x > ${x%%cda}png
  rm $x
done

xv s$n-*.png
