#!/bin/sh
#\
exec tclsh "$0" "$@" 

# Copyright (C) 1997-2003 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

source YadaProc.tcl

#set t 216000000.0
set day 86400000.0
 set t 86400000.0
#set t 120000.0

while {1} {
  if {[catch {set s [timeToString $t]} errMsg]} {
    puts "ERROR: t=${t} is too big\n"
    puts "$errMsg\n$::errorInfo\n"
    break
  }
  puts "${t}ms is $s"
  set t [expr $t + $day * 0.2]
}
