/*
 * File: cdgdemo.c
 * Author: Horia F. Pop
 * Purpose: main file for cdg demo program
 * Birth: February 11, 2000
 * Changes:
 */

/* -- INCLUDES ---------------------------------------------------------- */
#include "configure.h"
#include "cdg.h"
#include "hook.h"
#include "variables.h"
#include "set.h"
#include "variablesdemo.h"
#include "setdemo.h"

/* -- MACROS ------------------------------------------------------------ */

/* -- TYPE DEFINITIONS -------------------------------------------------- */

/* -- VARIABLES --------------------------------------------------------- */

/* -- FUNCTIONS --------------------------------------------------------- */

int main(void)
{
  cdgInitialize();
  cdgPrintf(CDG_INFO, "\n\nDemo for the variables module\n\n");
  varDemo();
  varFinalize();

  cdgPrintf(CDG_INFO, "\n\nDemo for the set module\n\n");
  setDemo();
  cdgFinalize();
  return 0;
}

/* ---------------------------------------------------------------------- */
/* -- ENDOFFILE --------------------------------------------------------- */


