#!/usr/bin/perl -p

# `am' should be expanded into `an dem' so that the grammar becomes
# more regular. But `am' used as a superlative morpheme should not be
# expanded, in fact it should be welded onto the adjective. Therefore
# we intercept the superlatives occurring in our corpus here
# specially. Not an elegant solution, but it does the job.
s/(^| )am (be|Lieb|lieb|ehe)sten( |$)/$1SUP($2)$3/g;

# expand clitics
s/(^| )ins( |$)/$1in das$2/g;
s/(^| )im( |$)/$1in dem$2/g;
s/(^| )zum( |$)/$1zu dem$2/g;
s/(^| )zur( |$)/$1zu der$2/g;
s/(^| )am( |$)/$1an dem$2/g;
s/(^| )ans( |$)/$1an das$2/g;
s/(^| )beim( |$)/$1bei dem$2/g;
s/(^| )vom( |$)/$1von dem$2/g;

# really?
s/(^| )berm( |$)/$1ber dem$2/g;
s/(^| )bers( |$)/$1ber das$2/g;
s/(^| )frn( |$)/$1fr den$2/g;
s/(^| )frs( |$)/$1fr das$2/g;

# restore intercepted superlatives
s/(^| )SUP\((.*)\)( |$)/$1am $2sten$3/g;

# s/(^| ) ( |$)/$1 $2/g;
