/* 
 * Copyright (C) 1997-2003 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Author: Michael Schulz
 * Birth: 1.9.98
 *
 */

#ifndef INCREMENT_H
#define INCREMENT_H

/* -------------------------------------------------------------------------
 * @addtogroup ISearch
 *
 * @{ */

#include "input.h"
#include "constraintnet.h"

extern ConstraintNet incSearch(Lattice, int, Number, Number);
extern List incGetNonSpecIncompatibles(void);

/* ---------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
