#!/bin/sh
#\
exec tclsh "$0" "$@" 

source loadtclbindings

putsDebug "getting printf hook command\n"
set printfCmd [getHookCmd "printf"]
putsDebug "printfCmd=$printfCmd\n"

if {[catch {
  putsDebug "getting blabla hook command\n"
  set printfCmd [getHookCmd "blabla"]
  } errorMsg]} {
  putsDebug "errorMsg=$errorMsg ... detected\n"
  putsDebug "printfCmd=$printfCmd\n"
} else {
  error "last command should not succeed"
}

putsDebug "setting printf hook command\n"
setHookCmd "printf" putsDebug

putsDebug "getting printf hook command\n"
set printfCmd [getHookCmd "printf"]
putsDebug "printfCmd=$printfCmd\n"

#testCmdEval "hook printf on"
testCmdEval "status"
putsDebug "finalize\n"
cdgFinalize
