#!/bin/sh
#\
exec wish "$0" "$@" 

# Copyright (C) 1997-2003 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

package require Iwidgets
source ListDialog.tcl

wm withdraw .

set ld [ListDialog .#auto \
  -labeltext "These are the files in the current directory:" \
  -modality application \
]

$ld configure -title "Test Dialog"
set files [split [exec ls]]
eval $ld insert list 0 $files
$ld activate
set result [$ld get]
puts "result=$result"

exit 1
